
package net.kldp.logviewer.common.cache;

import net.kldp.logviewer.common.collection.BasicBox;

/**
 * <PRE>
 * 
 * Title : 시스템 자원을 Cache 하도록 한다.<p>
 * 			주의) 이 Cache는 하루에 한번씩 초기화 한다<p>	
 * Comment :
 * 		Singleton pattern 사용<p>
 * 
 * History :
 * 	
 * 
 * </PRE>
 * 
 * @version 0.9, 2005-12-30
 * @author henry
 */
public class SimpleCache {
    private static SimpleCache simpleCache;
    private static BasicBox cacheBox;
    
    
    /**
     * singleton pattern 이므로
     */
    private SimpleCache() {}
    
    /**
     * 인스턴스를 얻는다. 
     * 
     * @return
     */
    public synchronized static SimpleCache getCache() {
      //  int toDay = JDate.getNow().getDayOfMonth();
        
      //  if(simpleCache == null | toDay != cacheCheckDay) {
            cacheBox 	= new BasicBox();
            simpleCache = new SimpleCache();
            
            // 이 Cache는 하루에 한번씩 초기화 한다
       //     cacheCheckDay = JDate.getNow().getDayOfMonth();
      //  }
        
        return simpleCache;
    }
    
	/**
	 * Cache Box에서 환경정보를 리턴한다
	 * 
	 * @param name
	 * @return
	 */
	public String getPropBox(String name) {
		return cacheBox.get(name);
	}
	
	/**
	 * Cache Box에 환경정보 파일을 설정한다
	 * 
	 * @param name
	 * @param value
	 */
	public void setPropBox(String name, String value) {
	    cacheBox.set(name, value);
	}
}
